Draft Clone

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Clone and the translation is 5% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Draft Clone

Расположение в меню
Черчение → Клонировать
Верстаки
Draft, Arch
Быстрые клавиши
отсутствуют
Представлено в версии
-
См. также
Масштаб


Описание

Этот инструмент создает клон (копию, параметрически связанную с исходным объектом) выбранного объекта. Если исходный объект изменяется, клон тоже меняется, но сохраняет свое положение, поворот и масштаб.

The Clone tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create simple copies, that are completely independent from an original object, use Draft Move, Draft Rotate, and Draft Scale. To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray.

Draft Clone example.jpg

Draft Clone example.jpg

Использование

  1. Выберите объекты, которые вы хотите клонировать
  2. Нажмите кнопку 16px Черновик

Depending on its options, the Draft Scale.svg Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their DATACloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Oпции

  • Клоны 2D-объектов (черновик или эскиз) также будут двумерными объектами и поэтому могут использоваться как таковые для Part Design.
  • Все объекты Arch имеют возможность вести себя как клон (используя их свойство CloneOf). Если вы используете инструмент «Черновик клонирования» для выбранного объекта Arch, вы создадите такой клонированный объект Arch вместо обычного клонирования проекта.

Properties

  • DATAObjects: specifies a list of base objects which are being cloned.
  • DATAScale: specifies the scaling factor for the clone, in each X, Y, and Z direction.
  • DATAFuse: if it is True and DATAObjects includes many shapes that intersect each other, the resulting clone will be fuse them together into a single shape, or make a compound of them. introduced in version 0.17

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Creates a cloned_object from obj, which can be a single object or a list of objects.
  • If given, delta is a FreeCAD.Vector that moves the new clone away from the original position of the base object.
  • If forcedraft is True, the resulting object will be a Draft clone, and not an Arch clone, even if obj is an Arch Workbench object.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Example:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg